!     Parameter and boundary conditions for streamf1
	SUBROUTINE bc1
	INCLUDE 'include1.inc'
      alf=1.d0
      alf2=alf**2
      del=1.d0/(JMAX-1)
      del2=del**2
!     Initialize solution
      do i=1,JMAX
        do j=1,JMAX
          s(i,j)=0.d0
          w(i,j)=0.d0
        enddo
      enddo
!     sbx & sby are boundary values of stream function
!     vbx & vby are boundary conditions on tangental components of VELOCITY
!     Normal components of velocity is assumed to be zero
!     Boundary conditions
!     x boundaries, i.e., left and right, x=0,1
      do j=1,JMAX
       sbx(1,j)=0.d0
       sbx(2,j)=0.d0
       vbx(1,j)=0.d0
       vbx(2,j)=0.d0
      enddo
!     y boundaries,i.e., y=0,1
      do i=1,JMAX
       sby(i,1)=0.d0
       sby(i,2)=0.d0
       vby(i,1)=0.d0
       vby(i,2)=1.d0
      enddo
!     Load boundary values of stream function into s(i,j) array
      do j=1,JMAX
        s(1,j)=sbx(1,j)
        s(JMAX,j)=sbx(2,j)
      enddo
      do i=1,JMAX
        s(i,1)=sby(i,1)
        s(i,JMAX)=sby(i,2)
      enddo
	RETURN
	END